%global major 1
%global libname		%mklibname leancrypto %{major}
%global devname		%mklibname leancrypto -d
%global staticname	%mklibname leancrypto -d -s

%global toolchain clang

Name:		leancrypto
Summary:	Cryptographic library with stack-only support and PQC-safe algorithms
Version:	1.3.0
Release:	%mkrel 3
License:	GPL-2.0 OR BSD-2-Clause
Group:		System/Libraries
Url:		https://leancrypto.org
Source0:	https://leancrypto.org/leancrypto/releases/leancrypto-%{version}/leancrypto-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	clang

%description
Leancrypto provides a general-purpose cryptographic library with PQC-safe
algorithms. Further it only has POSIX dependencies, and allows all algorithms
to be used on stack as well as on heap. Accelerated algorithms are
transparently enabled if possible.

%package -n %{libname}
Summary:	%{summary}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}%{?_isa} = %{version}-%{release}

%description -n %{libname}
Leancrypto provides a general-purpose cryptographic library with PQC-safe
algorithms. Further it only has POSIX dependencies, and allows all algorithms
to be used on stack as well as on heap. Accelerated algorithms are
transparently enabled if possible.

%package -n %{devname}
Summary:	Development libraries and headers for %{name}
Group:		Development/Other
Requires:	%{name}%{?_isa} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel%{?_isa} = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries and headers for %{name}.

%package -n %{staticname}
Summary:	Static development libraries for %{name}
Requires:	%{name}-devel%{?_isa} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel%{?_isa} = %{version}-%{release}

%description -n %{staticname}
This package contains the static development libraries for %{name}.

%prep
%autosetup -p1

%build
%meson \
  -Dstrip=false \
%ifarch %{arm32}
  -Ddisable-asm=true \
%endif
  -Dapps=disabled

%meson_build

%install
%meson_install

%files -n %{libname}
%license LICENSE*
%{_libdir}/libleancrypto{,-fips}.so.%{major}

%files -n %{devname}
%doc README.* SECURITY.*
%{_includedir}/leancrypto/
%{_includedir}/leancrypto.h
%{_libdir}/pkgconfig/leancrypto{,-fips}.pc
%{_libdir}/libleancrypto{,-fips}.so

%files -n %{staticname}
%{_libdir}/libleancrypto{,-fips}.a


%changelog
* Tue Jul 08 2025 umeabot <umeabot> 1.3.0-3.mga10
+ Revision: 2252178
- Mageia 10 Mass Rebuild

* Wed Apr 23 2025 wally <wally> 1.3.0-2.mga10
+ Revision: 2178427
- disable asm on armv7

* Tue Apr 22 2025 wally <wally> 1.3.0-1.mga10
+ Revision: 2178329
- imported package leancrypto

